# Full View config.lua

{% code fullWidth="true" %}

```lua
Config = {}

Config.Core = "ESX" -- "ESX" or "QBCore"
Config.CoreDefine = "" -- If you are using a trigger for ESX definition for e.g "esx:getSharedObject", enter it here

Config.PlayerLoaded = "esx:playerLoaded"
	-- ESX: "esx:playerLoaded"
	-- QBCore: "QBCore:Client:OnPlayerLoaded"
	
Config.JobUpdated = 'esx:setJob' -- its a trigger to check players job
	-- ESX: "esx:setJob"
	-- QBCore: "QBCore:Client:OnJobUpdate"

Config.KeyOpen = 38
Config.HideMinimap = true

Config.AutoCamPosition = true
Config.AutoCamRotation = true
Config.SwitchCamTime = 500

Config.UseTarget = false -- If you want to use it on target, you can "qb-target" / "q-target"
Config.TargetRegister = function(pedTable, pedId)
	exports[Config.UseTarget]:AddBoxZone("npctalk-"..pedId, vector3(pedTable.pedPosition.x, pedTable.pedPosition.y, pedTable.pedPosition.z), 1.0, 1.0, {
		name = "npctalk-"..pedId,
		heading = pedTable.pedHeading,
		debugPoly = false,
		minZ = pedTable.pedPosition.z,
		maxZ = pedTable.pedPosition.z+1.85,
  	}, {
		options = {
	  		{
				num = 1,
				icon = pedTable.targetIcon,
				label = pedTable.textUI,
				action = function(entity)
					npcTalkMenu(pedId)
				end,
		  		job = pedTable.jobsAccess or nil,
				drawDistance = pedTable.distance,
	  		}
		},
		distance = pedTable.distance,
  	})
end


Config.TextUI = {
	Enabled = false,
	Open = function(text)
		exports["interact"]:Open("E", text)
	end,
	Close = function()
		exports["interact"]:Close()
	end,
}

Config.Peds = {
	{
		pedModel = 'g_m_y_mexgoon_01',
		pedPosition = vector3(343.32, -2046.2, 20.45),
		pedHeading = 56.87,
		title = 'BOSS',
		name = 'VAGOS',
		dialog = 'What do you want to do for me?',
		textUI = "MISSION",
		closeText = "I have no time.",
		camOffset = vector3(0.0, 0.0, 0.0),
		camRotation = vector3(0.0, 0.0, 0.0),
		distance = 2.2,
		jobsAccess = {'ballas'},
		animation = {
			dictionary = "anim@amb@nightclub@peds@",
			name = "rcmme_amanda1_stand_loop_cop",
		},
		options = {
			{
				Label = "Murder",
				TriggerClient = 'vms_crimemissions:start',
				TriggerArgs = 1
			},
			{
				Label = "Kidnap",
				TriggerClient = 'vms_crimemissions:start',
				TriggerArgs = 2
			},
			{
				Label = "Steal Drug Truck",
				TriggerClient = 'vms_crimemissions:start',
				TriggerArgs = 3
			},
			{
				Label = "Car Stealing",
				TriggerClient = 'vms_crimemissions:start',
				TriggerArgs = 4
			},
			{
				Label = "Money Extortion",
				TriggerClient = 'vms_crimemissions:start',
				TriggerArgs = 5
			},
		},
	},
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/outdated/vms_npctalk/configuration/full-view-config.lua.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
